---
updatedAt: 2026-02-03T10:15:52.000Z
agentTools:
  projectIndex: https://partner-docs.gupshup.io/llms.txt
---

# Send MM Lite message with GIF template

Sends a marketing WhatsApp message using a GIF-based template.

# API Request

```
curl --location --request POST 'https://partner.gupshup.io/partner/app/{{APP_ID}}/onboarding/marketing/msg' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "recipient_type": "individual",
    "messaging_product": "whatsapp",
    "to": "{{DESTINATION}}",
    "type": "template",
    "template": {
        "name": "{{TEMPLATE_NAME}}",
        "language": {
            "policy": "deterministic",
            "code": "{{LANGUAGE_CODE}}"
        },
        "namespace": "{{NAMESPACE}}",
        "components": [
            {
                "type": "header",
                "parameters": [
                    {
                        "type": "GIF",
                        "gif": {
                            "link": "{{GIF_URL}}"
                        }
                    }
                ]
            },
            {
                "type": "body"
            }
        ]
    }
}'
```

<br />

# Response

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Status code
      </th>

      <th>
        Response
      </th>

      <th>
        Comments
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        200
      </td>

      <td>
        ```
        {
            "messages": [
                {
                    "id": "1ceeb739-06cd-4434-a1e0-8afac154ede4"
                }
            ],
            "messaging_product": "whatsapp",
            "contacts": [
                {
                    "input": "9188889945",
                    "wa_id": "9188898545"
                }
            ]
        }
        ```
      </td>

      <td>

      </td>
    </tr>

    <tr>
      <td>
        429
      </td>

      <td>
        ```
        {"status": "error", "message": "Too Many Requests"} 
        ```
      </td>

      <td>
        10 Requests per Minute
      </td>
    </tr>

    <tr>
      <td>
        500
      </td>

      <td>
        ```
        {"status": "error", "message": "Internal server error. Please try again later and If Issue still persist then contact Gupshup Dev Support"} 
        ```
      </td>

      <td>
        For any Internal Error
      </td>
    </tr>
  </tbody>
</Table>

<br />

# &#x20;Request Parameters

**Headers**

| Key           | Description                      | Value                   | Data Type | Required/ Optional | Constraints                                |
| :------------ | :------------------------------- | :---------------------- | :-------- | :----------------- | :----------------------------------------- |
| Authorization | Access Token for the application | `{{PARTNER_APP_TOKEN}}` | String    | Required           | Should be a valid Partner App Access Token |

**Path Parameters**

| Key     | Description                      | Value        | Data Type | Required/ Optional | Constraints                                                                                                                          |
| :------ | :------------------------------- | :----------- | :-------- | :----------------- | :----------------------------------------------------------------------------------------------------------------------------------- |
| APP\_ID | App ID to fetch the access token | `{{APP_ID}}` | String    | Required           | The Id should be a valid app Id of Gupshup. The App must be associated with the account that owns the PARTNER\_APP\_TOKEN being used |

**JSON Body Parameters**

| Key                | Description                                 | Value                        | Data Type | Required/ Optional | Constraints                                            |
| :----------------- | :------------------------------------------ | :--------------------------- | :-------- | :----------------- | :----------------------------------------------------- |
| recipient\_type    | Type of recipient                           | `individual`                 | String    | Required           | Must be "individual" for single recipient              |
| messaging\_product | Messaging platform                          | `whatsapp`                   | String    | Required           | Must be "whatsapp"                                     |
| to                 | Destination Phone Number                    | `{{DESTINATION}}`            | String    | Required           | Valid phone number with country code                   |
| type               | Message type                                | `template`                   | String    | Required           | Must be "template" for template messages               |
| template           | Template object containing template details | See template structure below | Object    | Required           | Must include name, language, namespace, and components |

<br />

**Template Object Structure**

<Table align={["left","left","left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Key
      </th>

      <th>
        Description
      </th>

      <th>
        Value
      </th>

      <th>
        Data Type
      </th>

      <th>
        Required/ Optional
      </th>

      <th>
        Constraints
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        name
      </td>

      <td>
        Template name
      </td>

      <td>
        `{{TEMPLATE_NAME}}`
      </td>

      <td>
        String
      </td>

      <td>
        Required
      </td>

      <td>
        Must be an approved template name t
      </td>
    </tr>

    <tr>
      <td>
        language
      </td>

      <td>
        Language object
      </td>

      <td>
        `{"policy": "deterministic", "code": "en"} `
      </td>

      <td>
        Object
      </td>

      <td>
        Required
      </td>

      <td>
        Contains policy and language code
      </td>
    </tr>

    <tr>
      <td>
        namespace
      </td>

      <td>
        Template namespace
      </td>

      <td>
        `{{NAMESPACE}}`
      </td>

      <td>
        String
      </td>

      <td>
        Required
      </td>

      <td>
        WABA namespace for the template
      </td>
    </tr>

    <tr>
      <td>
        components
      </td>

      <td>
        Array of template components
      </td>

      <td>
        ```
        {
          "components": [
            {
              "type": "header",
              "parameters": [
                {
                  "type": "GIF",
                  "gif": {
                    "link": "{{GIF_URL}}"
                  }
                }
              ]
            },
            {
              "type": "body"
            }
          ]
        }

        ```
      </td>

      <td>
        Array
      </td>

      <td>
        Required
      </td>

      <td>
        Must include header and body components
      </td>
    </tr>
  </tbody>
</Table>

<br />

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Gupshup Partner API – Send MM Lite Message with GIF Template",
    "description": "This API is used to send marketing (MM Lite) messages\nusing a WhatsApp GIF template via Gupshup Partner APIs.\n",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://partner.gupshup.io",
      "description": "Gupshup Partner Production Server"
    }
  ],
  "paths": {
    "/partner/app/{APP_ID}/onboarding/marketing/msg": {
      "post": {
        "summary": "Send MM Lite message with GIF template",
        "description": "Sends a marketing WhatsApp message using a GIF-based template.",
        "operationId": "sendMMLiteGifTemplateMessage",
        "parameters": [
          {
            "name": "APP_ID",
            "in": "path",
            "required": true,
            "description": "App ID associated with the Partner account",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "recipient_type",
                  "messaging_product",
                  "to",
                  "type",
                  "template"
                ],
                "properties": {
                  "recipient_type": {
                    "type": "string",
                    "example": "individual",
                    "enum": [
                      "individual"
                    ]
                  },
                  "messaging_product": {
                    "type": "string",
                    "example": "whatsapp",
                    "enum": [
                      "whatsapp"
                    ]
                  },
                  "to": {
                    "type": "string",
                    "example": "919999999999"
                  },
                  "type": {
                    "type": "string",
                    "example": "template",
                    "enum": [
                      "template"
                    ]
                  },
                  "template": {
                    "type": "object",
                    "required": [
                      "name",
                      "language",
                      "namespace",
                      "components"
                    ],
                    "properties": {
                      "name": {
                        "type": "string",
                        "example": "promo_gif_template"
                      },
                      "language": {
                        "type": "object",
                        "required": [
                          "policy",
                          "code"
                        ],
                        "properties": {
                          "policy": {
                            "type": "string",
                            "example": "deterministic"
                          },
                          "code": {
                            "type": "string",
                            "example": "en"
                          }
                        }
                      },
                      "namespace": {
                        "type": "string",
                        "example": "abcdef12_3456_7890_abcd_ef1234567890"
                      },
                      "components": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "type": {
                              "type": "string",
                              "example": "header"
                            },
                            "parameters": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "type": {
                                    "type": "string",
                                    "example": "GIF"
                                  },
                                  "gif": {
                                    "type": "object",
                                    "properties": {
                                      "link": {
                                        "type": "string",
                                        "format": "uri",
                                        "example": "https://example.com/sample.gif"
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "PartnerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Message sent successfully",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "messaging_product": {
                      "type": "string",
                      "example": "whatsapp"
                    },
                    "messages": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "example": "1ceeb739-06cd-4434-a1e0-8afac154ede4"
                          }
                        }
                      }
                    },
                    "contacts": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "input": {
                            "type": "string",
                            "example": "9188889945"
                          },
                          "wa_id": {
                            "type": "string",
                            "example": "9188898545"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too many requests",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "example": "Too Many Requests"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "example": "Internal server error. Please try again later and If Issue still persist then contact Gupshup Dev Support\n"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "PartnerAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Partner App Access Token"
      }
    }
  }
}
```